Webhook deliveries
Operations tagged Webhook deliveries in the public API.
/v1/webhook_deliveries/{id}
Retrieve a webhook delivery
Retrieve a webhook delivery. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewebhooks:read
Example 200 response
json
{
"object": "webhook_delivery",
"id": 1,
"event_id": "2026-01-01T00:00:00+00:00",
"endpoint_id": 1,
"event_type": "ping",
"status": "pending",
"attempts": 0,
"scheduled_at": "2026-01-01T00:00:00+00:00",
"processed_at": null,
"response_status": null,
"response_body_snippet": null,
"duration_ms": null,
"created_at": "2026-01-01T00:00:00+00:00"
}curl
curl -X GET https://api.agentency.com/v1/webhook_deliveries/{id} \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/webhook_deliveries/{id}/retry
Retry webhook delivery
Retry webhook delivery. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewebhooks:write
curl
curl -X POST https://api.agentency.com/v1/webhook_deliveries/{id}/retry \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"